/*
 *  Copyright 2010 Vodafone Group Services Ltd.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *    
 */
package org.onesocialweb.gwt.client.i18n;

import com.google.gwt.i18n.client.Constants;

public interface UserInterfaceText extends Constants {
	
	// Titles
	String Welcome();
	String OopsCannotSearch();
	String WorkingOnThis();
	String Oops();
	String CannotAddPicture();
	String Privacy();
	String ImagePreview();

	// Buttons / Tabs
	String OK();
	String Save();
	String Cancel();
	String Login();
	String Logout();
	String Register();
	String Search();
	String Share();
	String FromUrl();
	String Upload();
	String ManagePerson();
	String ProfileAndContact();
	String Account();
	String Add();

	// Labels
	String YourUsername();
	String YourPassword();
	String ChooseUsername();
	String ChoosePassword();
	String EnterYourEmail();
	String EnterCode();
	String Following();
	String RememberMe();
	String Url();
	String Bio();
	String OnYourLists();
	String Followers();
	String FollowingPeople();
	String DisplayName();
	String FullName();
	String Birthday();
	String Gender();
	String Email();
	String Telephone();
	String Website();
	String ViewProfileOf();
	String YourLists();
	String Avatar();
	String General();
	String YourIdentity();
	String UserName();
	String FirstName();
	String Surname();
	String WhoCanSeeUpdate();
	String With();
	String ChangeLocale();
	String Language();
	String ShoutTo();
	String Pictures();
	String To();
	String VisibleTo();
	
	// Application / window names
	String Activities();
	String Preferences();
	String Contacts();
	String Profile();
	
	// Field Values
	String Male();
	String Female();
	String NotKnown();
	String NotApplicable();
	String Everyone();
	String You();
	
	// Tooltips
	String ShowSearchPanel();
	String HideSearchPanel();
	String ShowUpdatePanel();
	String HideUpdatePanel();
	String ViewProfile();
	String Chatty();
	String Away();
	String DoNotDisturb();
	String ExtendedAway();
	String Online();
	String NotAvailable();
	String DeleteFromContacts();
	String ShoutToContact();
	String FollowPerson();
	String UnfollowPerson();
	String SendPrivateMessage();
	String ChatWithPerson();
	String AddPicture();
	String ChangePrivacy();
	String ShoutToContacts();
	String EditProfile();
	String BackToDefault();
	String AddAvatar();
	String ClearPeople();
	String RemovePicture();
	String RemovePictures();
	String ShowPreview();
	
	// Instructions
	String PleaseUseUserAtDomain();
	String AccountUnavailable();
	String SelectFile();
	String SelectPictureUrl();
	String AddOrRemovePerson();
	String IdentityFixed();
	String SetLanguage();
	
	// Notifications
	String FetchingProfile();
	String FeatureNotImplemented();
	String FetchingActivities();
	String NoActivitiesAvailable();
	String UpdatingStatus();
	String UpdateSuccess();
	String WaitForUpload();
	String FetchingFollowers();
	String FetchingFollowing();
	String NoFollowers();
	String NoFollowing();
	String EmptyUpdate();
	
	// Error 
	String FailedToGetProfile();
	String LoginFailure();
	String UpdateFailure();
	
	// Months
	String January();
	String February();
	String March();
	String April();
	String May();
	String June();
	String July();
	String August();
	String September();
	String October();
	String November();
	String December();
		
}
